import { DrawCommand } from "regl";
import { CandyGraph } from "../candygraph";
import { Primitive, Vector2, Vector4 } from "../common";
import { Font } from "./font";
export declare type Options = {
    align?: number;
    anchor?: Vector2;
    angle?: number;
    color?: Vector4;
    size?: number;
};
export declare class Text extends Primitive {
    private cg;
    private font;
    position: Vector2;
    size: number;
    angle: number;
    color: Vector4;
    readonly width: number;
    readonly height: number;
    private quad;
    private uv;
    private instances;
    private quadGeometry;
    constructor(cg: CandyGraph, font: Font, text: string, position: Vector2, options?: Options);
    command(glsl: string): DrawCommand;
    render(command: DrawCommand): void;
    dispose(): void;
}
